/* "eqcs_lambda.cc"
 * Copyright (C) 1999 Peter Belkner <pbelkner@berlin.snafu.de>
 *
 * This file is part of the eqcs library. This library is free
 * software; you can redistribute it and/or modify it under the terms of
 * the GNU General Public License as published by the Free Software
 * Foundation; either version 2, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this library; see the file COPYING.  If not, write to the
 * Free Software Foundation, 59 Temple Place - Suite 330,
 * Boston, MA  02111-1307, USA.
 */
#ifdef __GNUG__
#pragma implementation
#endif

#include "eqcs_lambda_rep.h"
#include "eqcs_lambda.h"

/*****************************************************************************\
*	lambda (quant-ph/9503016)												  *
\*****************************************************************************/

EqcsLambda::EqcsLambda(rep_t *rep) : base_t(rep)
	{}

EqcsLambda::EqcsLambda(const complex_t &u00, const complex_t &u01,
	const complex_t &u10, const complex_t &u11, int m) :
	base_t(new rep_t(u00, u01, u10, u11, m))
	{}
